@import "vars";

.cart__container {
  margin-top: 96px;
  margin-bottom: 128px;
  display: flex;
  flex-wrap: wrap;

  &_right {
    flex-basis: 60%;
    display: flex;
    flex-direction: column;
  }

  &_left {
    flex-basis: 40%;
    display: flex;
    flex-direction: column;
    height: 100%;
  }
}

.cart__item {
  display: flex;
  justify-content: space-between;
  border: 1px solid $shadowsSite;
  box-shadow: 10px 10px 20px 0 rgba(175, 175, 175, 0.62);
  margin-bottom: 40px;

  &_left {
    width: 70%;
    padding: 22px 22px 42px 30px;
    display: flex;
    flex-direction: column;
  }

  &_heading {
    font-size: 24px;
    line-height: 29px;
    color: $darkColorText;
    width: 210px;


  }

  &_heading-box {
    display: flex;
    justify-content: space-between;
  }
}

.product__photo-cart {
  display: flex;
}

.cart__item_specification {
  &-box {
    margin-top: 42px;
  }

  &_choice {
    display: inline-block;
    padding-left: 10px;
    font-size: 22px;
    line-height: 26px;
  }

  color: $mediumColorText;
  font-size: 22px;
  line-height: 26px;
  padding-bottom: 6px;
}

.quantity-label {
  color: $mediumColorText;
  font-size: 22px;
  line-height: 26px;
  padding-right: 10px;
}

.quantity-input {
  text-align: center;
  outline: none;
  border: 1px solid $shadowsSite;
  font-size: 20px;
}

.cart__container_right_button {
  &-box {
    display: flex;
    justify-content: space-between;
    margin-top: 72px;
  }

  font-size: 14px;
  font-weight: 300;
  line-height: 17px;
  color: $mediumColorText;
  border: 1px solid $mediumShadowColor;
  padding: 17px 40px;
  box-shadow: 5px 5px 10px 0 rgba(175, 175, 175, 0.62);
  transition: all .3s;

  &:hover {
    background-color: $colorSite;
    color: $lightColorText;
    border: 1px solid $colorSite;
  }
}

.cart__container_left {
  display: flex;
  flex-direction: column;
  align-items: end;
}

.cart__uppercase_text {
  font-size: 16px;
  font-weight: 300;
  line-height: 19px;
}

.input_form-item {
  outline: none;
  border: 1px solid $mediumShadowColor;
  font-size: 13px;
  line-height: 15px;
  width: 360px;
  height: 45px;
  text-align: start;
  margin: 20px 0 20px 17px;
  color: $shadowsSite;
  box-sizing: border-box;
  padding-left: 17px;
}

.input__label{
  padding-left: 17px;
}
.cart__input_form-button {
  border: 1px solid $mediumShadowColor;
  box-shadow: 5px 5px 10px 0 rgba(175, 175, 175, 0.62);
  padding: 10px 15px 10px 15px;
  font-size: 13px;
  color: $mediumColorText;
  margin-top: 23px;
  margin-bottom: 57px;
  display: flex;
  align-items: start;
  margin-right: 243px;
  transition: all .3s;

  &:hover {
    background-color: $colorSite;
    color: $lightColorText;
    border: 1px solid $colorSite;
  }
}

.cart__checkout_form {
  width: 360px;
  background-color: #F5F3F3;
  box-sizing: border-box;
  padding: 45px;
}
.cart__checkout_form_text {

  &-sub {
    font-size: 11px;
    line-height: 13px;
    font-weight: 400;
    margin-bottom: 12px;
    text-align: end;
  }
  &-total {
    margin-bottom: 21px;
    text-align: end;
  }
}

.price__light {
  padding-left: 30px;
}

.checkout__line {
  width: 275px;
  margin-bottom: 17px;
  border: 1px solid $shadowsSite;
}

.checkout__button {
  padding: 15px 15px;
  color: $lightColorText;
  background-color: $colorSite;
  text-align: center;
  transition: background-color .3s;
  &:hover {
    background-color: $hoverColorSite;
  }
}